Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade to Gradle 3.4 [SPR-15207] #19771

Closed
spring-projects-issues opened this issue Jan 30, 2017 · 4 comments
Closed

Upgrade to Gradle 3.4 [SPR-15207] #19771

spring-projects-issues opened this issue Jan 30, 2017 · 4 comments
Assignees
Labels
type: task
Milestone

Comments

@spring-projects-issues
Copy link
Collaborator

@spring-projects-issues spring-projects-issues commented Jan 30, 2017

Juergen Hoeller opened SPR-15207 and commented

Gradle 3.4 RC1 is out. Unfortunately, it seems to be unable to resolve the Reactor BOM:

Could not resolve all dependencies for configuration ':testCompileClasspath'.
> Could not find io.projectreactor:reactor-core:.
  Searched in the following locations:
      http://dl.bintray.com/kotlin/kotlin-eap-1.1/io/projectreactor/reactor-core//reactor-core-.pom
      http://dl.bintray.com/kotlin/kotlin-eap-1.1/io/projectreactor/reactor-core//reactor-core-.jar
      https://repo.spring.io/libs-release/io/projectreactor/reactor-core//reactor-core-.pom
      https://repo.spring.io/libs-release/io/projectreactor/reactor-core//reactor-core-.jar
      https://repo.spring.io/milestone/io/projectreactor/reactor-core//reactor-core-.pom
      https://repo.spring.io/milestone/io/projectreactor/reactor-core//reactor-core-.jar
      https://repo.spring.io/libs-snapshot/io/projectreactor/reactor-core//reactor-core-.pom
      https://repo.spring.io/libs-snapshot/io/projectreactor/reactor-core//reactor-core-.jar
      https://jcenter.bintray.com/io/projectreactor/reactor-core//reactor-core-.pom
      https://jcenter.bintray.com/io/projectreactor/reactor-core//reactor-core-.jar
  Required by:
      project : > project :spring-core
      project : > project :spring-test
      project : > project :spring-web
      project : > project :spring-test > project :spring-websocket > project :spring-messaging
> Could not find io.projectreactor.ipc:reactor-netty:.
  Searched in the following locations:
      http://dl.bintray.com/kotlin/kotlin-eap-1.1/io/projectreactor/ipc/reactor-netty//reactor-netty-.pom
      http://dl.bintray.com/kotlin/kotlin-eap-1.1/io/projectreactor/ipc/reactor-netty//reactor-netty-.jar
      https://repo.spring.io/libs-release/io/projectreactor/ipc/reactor-netty//reactor-netty-.pom
      https://repo.spring.io/libs-release/io/projectreactor/ipc/reactor-netty//reactor-netty-.jar
      https://repo.spring.io/milestone/io/projectreactor/ipc/reactor-netty//reactor-netty-.pom
      https://repo.spring.io/milestone/io/projectreactor/ipc/reactor-netty//reactor-netty-.jar
      https://repo.spring.io/libs-snapshot/io/projectreactor/ipc/reactor-netty//reactor-netty-.pom
      https://repo.spring.io/libs-snapshot/io/projectreactor/ipc/reactor-netty//reactor-netty-.jar
      https://jcenter.bintray.com/io/projectreactor/ipc/reactor-netty//reactor-netty-.pom
      https://jcenter.bintray.com/io/projectreactor/ipc/reactor-netty//reactor-netty-.jar
  Required by:
      project : > project :spring-web
      project : > project :spring-test > project :spring-websocket > project :spring-messaging

Issue Links:

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Jan 30, 2017

Rob Winch commented

Juergen Hoeller The problem appears to be inconsistencies with the way the Dependency Management plugin works with Gradle 3.3 and 3.4-rc-1.

I was able to get past that specific error in my branch. I'm not sure if there are more issues to sort out since master is not currently building for me so I have not pushed yet. I will wait until master is building to circle back around to this.

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Feb 8, 2017

Rob Winch commented

We are currently waiting on gradle/gradle#1371

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Feb 9, 2017

Rob Winch commented

Master now uses gradle-3.4-rc-2

@spring-projects-issues
Copy link
Collaborator Author

@spring-projects-issues spring-projects-issues commented Feb 20, 2017

Juergen Hoeller commented

Upgraded to Gradle 3.4 final now, just in time for our 5.0 M5.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
type: task
Projects
None yet
Development

No branches or pull requests

2 participants